=== modified file 'drizzled/key.cc'
--- drizzled/key.cc	2009-03-19 23:18:39 +0000
+++ drizzled/key.cc	2009-04-06 23:21:25 +0000
@@ -136,44 +136,6 @@
 }
 
 
-void key_copy(basic_string<unsigned char> &to_key,
-              unsigned char *from_record, KEY *key_info,
-              unsigned int key_length)
-{
-  uint32_t length;
-  KEY_PART_INFO *key_part;
-
-  if (key_length == 0)
-    key_length= key_info->key_length;
-  for (key_part= key_info->key_part; (int) key_length > 0; key_part++)
-  {
-    if (key_part->null_bit)
-    {
-      to_key.push_back(test(from_record[key_part->null_offset] &
-		       key_part->null_bit) ? '1' : '0');
-      key_length--;
-    }
-    if (key_part->key_part_flag & HA_BLOB_PART ||
-        key_part->key_part_flag & HA_VAR_LENGTH_PART)
-    {
-      key_length-= HA_KEY_BLOB_LENGTH;
-      length= cmin((uint16_t)key_length, key_part->length);
-      key_part->field->get_key_image(to_key, length, Field::itRAW);
-      to_key.append(HA_KEY_BLOB_LENGTH, '0');
-    }
-    else
-    {
-      length= cmin((uint16_t)key_length, key_part->length);
-      Field *field= key_part->field;
-      uint32_t bytes= field->get_key_image(to_key, length, Field::itRAW);
-      if (bytes < length)
-        to_key.append(length-bytes, ' ');
-    }
-    key_length-= length;
-  }
-}
-
-
 /**
   Zero the null components of key tuple.
 */

=== modified file 'drizzled/sql_bitmap.h'
--- drizzled/sql_bitmap.h	2008-11-15 17:33:00 +0000
+++ drizzled/sql_bitmap.h	2009-04-06 23:21:25 +0000
@@ -76,7 +76,6 @@
   bool is_clear_all() const { return bitmap_is_clear_all(&map); }
   bool is_set_all() const { return bitmap_is_set_all(&map); }
   bool is_subset(const Bitmap& map2) const { return bitmap_is_subset(&map, &map2.map); }
-  bool is_overlapping(const Bitmap& map2) const { return bitmap_is_overlapping(&map, &map2.map); }
   bool operator==(const Bitmap& map2) const { return bitmap_cmp(&map, &map2.map); }
   bool operator!=(const Bitmap& map2) const { return !bitmap_cmp(&map, &map2.map); }
   Bitmap operator&=(uint32_t n)

=== modified file 'drizzled/sql_plugin.cc'
--- drizzled/sql_plugin.cc	2009-04-06 16:33:54 +0000
+++ drizzled/sql_plugin.cc	2009-04-06 23:21:25 +0000
@@ -462,42 +462,6 @@
 
 
 
-static SHOW_COMP_OPTION plugin_status(const LEX_STRING *name, int type)
-{
-  Plugin_registry registry= Plugin_registry::get_plugin_registry();
-
-  SHOW_COMP_OPTION rc= SHOW_OPTION_NO;
-  struct st_plugin_int *plugin;
-
-  if (! initialized)
-    return(rc);
-
-  if ((plugin= registry.find(name, type)))
-  {
-    rc= SHOW_OPTION_DISABLED;
-    if (plugin->isInited)
-      rc= SHOW_OPTION_YES;
-  }
-  return(rc);
-}
-
-
-bool plugin_is_ready(const LEX_STRING *name, int type)
-{
-  bool rc= false;
-  if (plugin_status(name, type) == SHOW_OPTION_YES)
-    rc= true;
-  return rc;
-}
-
-
-SHOW_COMP_OPTION sys_var_have_plugin::get_option()
-{
-  LEX_STRING plugin_name= { (char *) plugin_name_str, plugin_name_len };
-  return plugin_status(&plugin_name, plugin_type);
-}
-
-
 static plugin_ref intern_plugin_lock(st_plugin_int *rc)
 {
   plugin_ref plugin;

=== modified file 'drizzled/thr_malloc.cc'
--- drizzled/thr_malloc.cc	2009-01-05 04:37:22 +0000
+++ drizzled/thr_malloc.cc	2009-04-06 23:21:25 +0000
@@ -30,7 +30,7 @@
 void init_sql_alloc(MEM_ROOT *mem_root, size_t block_size, size_t pre_alloc)
 {
   init_alloc_root(mem_root, block_size, pre_alloc);
-  mem_root->error_handler=sql_alloc_error_handler;
+  mem_root->error_handler= sql_alloc_error_handler;
 }
 
 
@@ -80,11 +80,6 @@
   return pos;
 }
 
-void sql_element_free(void *)
-{} /* purecov: deadcode */
-
-
-
 char *sql_strmake_with_convert(const char *str, size_t arg_length,
                                const CHARSET_INFO * const from_cs,
                                size_t max_res_length,

